Skip to main content
GET
Get portfolio PnL chart (public)

Path Parameters

account
string
required

User Ethereum address

Example:

"0x742d35Cc6634C0532925a3b844Bc454e4438f44e"

Query Parameters

timeframe
string

Timeframe window for percent change and chart series

Example:

"7d"

Response

200 - application/json

PnL chart data

timeframe
string
required

Timeframe window used for previous/current comparison

Example:

"7d"

data
object[]
required

Realised PnL series (USD) for the selected timeframe

currentValue
number
required

Current realised PnL (USD)

Example:

-7.04

previousValue
number
required

Previous realised PnL (USD) at timeframe start

Example:

-6.5

percentChange
number
required

Percent change between previousValue and currentValue (realised PnL)

Example:

8.24

current
object | null

Current PnL snapshot (hybrid: realised + unrealized + total)